Package com.xebialabs.xlrelease.events

# Class ReleaseRetryOperation$

java.lang.Object
scala.runtime.AbstractFunction1<Release,ReleaseRetryOperation>
com.xebialabs.xlrelease.events.ReleaseRetryOperation$

All Implemented Interfaces:
  `Serializable`, `scala.Function1<Release,ReleaseRetryOperation>`

public class ReleaseRetryOperation$ extends scala.runtime.AbstractFunction1<Release,ReleaseRetryOperation> implements Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface scala.Function1

  `scala.Function1.UnliftOps<A,B>, scala.Function1.UnliftOps$`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ReleaseRetryOperation$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseRetryOperation$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReleaseRetryOperation`
  `apply(Release release)`
  `final String`
  `toString()`
  `scala.Option<Release>`
  `unapply(ReleaseRetryOperation x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction1

  `andThen, apply$mcDD$sp, apply$mcDF$sp, apply$mcDI$sp, apply$mcDJ$sp, apply$mcFD$sp, apply$mcFF$sp, apply$mcFI$sp, apply$mcFJ$sp, apply$mcID$sp, apply$mcIF$sp, apply$mcII$sp, apply$mcIJ$sp, apply$mcJD$sp, apply$mcJF$sp, apply$mcJI$sp, apply$mcJJ$sp, apply$mcVD$sp, apply$mcVF$sp, apply$mcVI$sp, apply$mcVJ$sp, apply$mcZD$sp, apply$mcZF$sp, apply$mcZI$sp, apply$mcZJ$sp, compose`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final ReleaseRetryOperation$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### ReleaseRetryOperation$

    public ReleaseRetryOperation$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function1<Release,ReleaseRetryOperation>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction1<Release,ReleaseRetryOperation>`

  - ### apply

    public ReleaseRetryOperation apply(Release release)
    Specified by:
      `apply` in interface `scala.Function1<Release,ReleaseRetryOperation>`

  - ### unapply

    public scala.Option<Release> unapply(ReleaseRetryOperation x$0)